Bug 800646 - Fedora 16 lacks automatic notification of software update availability
Fedora 16 lacks automatic notification of software update availability
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 15:54 EST by Steevithak
Modified: 2013-11-22 05:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 05:41:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2012-03-06 15:54:21 EST
Description of problem:
On previous versions of Fedora (e.g. <= Fedora 14), there was a small update notification icon in the upper right status bar that alerted the user to availability of new versions of software that should be installed. In Fedora 16 this no longer exists (or no longer works) in the default install. This was a useful feature and should be returned (or fixed). Without knowing updates are available, most users will probably never choose to update, resulting in buggier and less secure computers.


Version-Release number of selected component (if applicable):
Unknown, not even really sure if packagekit is the culprit, just a took a wild guess. If someone who knows what program was responsible for providing update notifications in Fedora 14 and earlier could re-assign to whatever component is correct, that would be spiffy.

How reproducible:
Install Fedora 16 with default options. Wait until you know there are software updates available. Look at the status bar and note the glaring lack of any sort of notification to the user that updates are available.

Steps to Reproduce:
1. Install Fedora 16
2. Wait for notification of software updates
3. Get tired of waiting and file a bug report
  
Actual results:
User is not provided with notification that software updates are available by default. The only apparent way to find out is to search for a manual update utility and run it.

Expected results:
When bug fixes and updates are available, the user should be automatically notified.

Additional info:
Comment 1 Fedora End Of Life 2013-04-03 11:03:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.